Retrieves the used part with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_part_usage
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of jobs

globally unique identifier

Required

article_id

Foreign key of article. Can be empty if user keys in manually the object

globally unique identifier
user_id

Foreign key, user that uses this part

globally unique identifier

Required

article_stock_location_id

In case of stock management enabled, the stock that has been used

globally unique identifier
working_date

Date when the part has been used

date
code

Code of the part (filled by article.code or manually by the user)

string

Max length: 255

name

Name of the part (filled by article.name or manually by the user)

string

Max length: 255

description

Description of the part (filled by article.description or manually by the user)

string

Max length: 255

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

price

Unit price of the part. Computed with the price logic or filled via purchase_order_details.price

decimal number
remark

Remark / Line memo

string

Max length: 255

purchase_order_details_id

Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details

globally unique identifier
signed_by_company

Object was included in a job approval and signed (readonly)

boolean
job_approval_id

Foreign key to the approval this lines belongs

globally unique identifier
is_under_warranty

If the system detects that line was included in the warranty, price will be 0

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b9f09b25-4739-43dc-9dea-f5164eb9097b",
  "jobs_id": "1ada4324-3ca8-4fe3-9e3b-a6b913c235e6",
  "article_id": "6356da7f-db03-4af4-852b-3a5d5f794fa0",
  "user_id": "6658a122-9a46-48be-9991-700692147dbc",
  "article_stock_location_id": "e3264115-cf6f-4700-a9ce-2b3869554f4c",
  "working_date": "2026-11-10T00:54:38.0102185+00:00",
  "code": "sample string 7",
  "name": "sample string 8",
  "description": "sample string 9",
  "quantity": 10.0,
  "price": 11.0,
  "remark": "sample string 12",
  "purchase_order_details_id": "f81a1055-1679-4761-b185-7e0836a20fe1",
  "signed_by_company": true,
  "job_approval_id": "b0838d46-4f69-424f-9df6-ba85735701dd",
  "is_under_warranty": true,
  "modified_dateutc": "2026-11-10T00:54:38.0102185+00:00"
}